@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&display=swap');

*,
body,
html {
    margin: 0;
    padding: 0;
    font-family: 'Kaushan Script', cursive;
    font-family: 'Oxygen', sans-serif;

}

#banner {
    /* background: transparent; */

    background: url("/infinity_blood/img/back.jpg");
    background-color: rgba(0, 0, 0, 0.5);
    background-size: cover;
    background-blend-mode: darken;
    background-position: center;
    min-height: 120vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

#logo
{
    width: 140px;
    border: 1px solid rgba(255, 0, 0, 0.491);

}
.Navbar {
    width: calc(98vw - 2rem);
    left: 50%;
    transform: translateX(-50%);
    top: 1%;
    position: absolute;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    padding: 1.5rem 1rem;
    border-radius: 20px;
    overflow: hidden;
}

a {
    text-decoration: none;
    color: white;
    margin: 0 0.5rem;
}

.nav {
    background-color: white;
    margin: .5rem;
}

#logo {
    width: 10rem;
    height: 2rem;
    background: transparent;
    /* background-color: rgb(1, 1, 1); */
    background-image: url("/infinity_blood/img/logo.png");
    background-size: 60%;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 20px;
    
    position: absolute;
    top: 4%;
    left:1% ;
}

ul {
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-wrap: wrap;
    /* margin-left: 20px; */
}

.nav-btn {
    margin: 0 1rem;
    padding: 10px;
    height: 30px;
    width: 120px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-btn::before {
    content: '';
    position: absolute;
    inset: 0;
    background-color: rgb(138, 80, 80);
    transform-origin: bottom;
    transform: scaleY(5%);
    transition: transform 200ms ease;
    z-index: -1;
}

.nav-btn:hover::before {
    transform: scaleY(100%);
}

.sign-btn {
    border: 5px double #c96334;
    padding: 1rem 1.7rem;
}

@media screen and (max-width:1101px) {
    .sign-btn {
        display: none;
    }
    .banner-text{
        padding-top: 80px;
    }

    #logo {
        display: inline;



    }
}


.banner-text {
    text-align: center;
    color: #fff;
    /* padding-top: 40px; */

}

.banner-text h1 {
    font-size: 20vmin;
    font-family: 'Kaushan Script', cursive;

}

.banner-text p {
    font-size: 20px;
    font-style: italic;

    font-family: 'Poppins', sans-serif;


}

.banner-button {
    margin: 70px auto;
}

.banner-button a {
    width: 10rem;
    text-decoration: none;
    display: inline-block;
    margin: 10px;
    padding: 1rem 0;
    color: #000000;
    border: 0.5px solid rgb(0, 0, 0);
    position: relative;
    top: 50%;
    left: 83.5%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 1;
    transition: color 0.5s;
}

.banner-button a span {
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #db4a4a;

    z-index: -1;
    transition: 0.5s;
}

.banner-button a:hover span {
    width: 100%;

}

.banner-button a:hover {
    cursor: pointer;
    color: rgb(0, 0, 0);

}

/* /// */
.banner-btn {
    margin: 70px auto;
}

.banner-btn a {
    width: 10rem;
    text-decoration: none;
    display: inline-block;
    margin: 0 10px;
    padding: 1rem 0;
    color: #fff;
    border: 0.5px solid white;
    position: relative;
    z-index: 1;
    transition: color 0.5s;

}

.banner-btn a span {
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #fff;

    z-index: -1;
    transition: 0.5s;
}

.banner-btn a:hover span {
    width: 100%;

}

.banner-btn a:hover {
    cursor: pointer;
    color: black;

}

#sideNav
{

    width: 250px;
    height: 100vh;
    position: fixed;
    right: 0;
    top: 0;
    background:auto;
    z-index: 3;

}
#sideNav:hover{
    cursor: pointer;
}
/* foe <li> item */
.nav-btn{
    list-style: none;
    margin-block-end: 60px 30px;
    /* margin: 0px 55px; */

}
/* for <a> item inside <li> item */
.nav-link{
    text-decoration: none;
    font-family: 'Kaushan Script', cursive;
    color:red;
}
#Menubtn
{
    width: 50px ;
    /* color: pink; */
   
    /* border: 2px solid white; comment full line after */
    height: 50px;
    position:sticky;
    /* background:black; */
    /* background-color: pink; */
    background: transparent;
    filter: invert(0%);
    /* border: 1px solid red; */
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    position:fixed;
    right: 30px;
    top: 20px;
    border-radius: 3px;
    z-index: 3;
    cursor: pointer;

}
#Menubtn img{
    width: 20px;
    margin: top 20px ;
} 
@media screen and (max-width:770px) {


    banner-text h1 {
        font-size: 12px;

        /* font-family: 'Kaushan Script',
         cursive; */
    }
/* .banner-text {
padding-top: 20px;
} */

    .banner-btn a {
        display: block;
        margin: 20px auto;

    }
}

/* features */
#feature {
    width: 100%;
    padding: 70px 0;

}

.title-text {
    text-align: center;
    padding-bottom: 70px;

}

.title-text p {
    margin-block-end: auto;
    font-size: 20px;
    color: rgb(185, 59, 59);
    font-weight: bold;
    position: relative;
    z-index: 1;
    display: inline-block;


}

.title-text p::after {
    content: '';
    width: 50px;
    height: 35px;
    background: linear-gradient(red, #fff);
    position: absolute;
    top: -20px;
    left: 0;
    z-index: -1;
    transform: rotate(10deg);
    border-top-left-radius: 35px;
    border-bottom-right-radius: 35px;


}

.title-text h1 {
    font-size: 50px;

}

.feature-box {
    width: 80%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-align: center;
}

.features {
    flex-basis: 50%;
}

.features-img {
    flex-basis: 50%;
    margin: auto;

}

.features-img img {
    width: 70%;
    border-radius: 10px;
}

.features h1 {
    text-align: center;
    margin-bottom: 10px;
    font-weight: 100;
    color: blue;

}

.features-desc {
    display: flex;
    align-items: center;
    margin-bottom: 40px;

}

.features-icon .fa {
    width: 50px;
    height: 50px;
    font-size: 30px;
    line-height: 50px;
    border-radius: 8px;
    color: red;
    border: 1px solid red;
}

@media screen and (max-width:770px) {
    .title-text h1 {
        font-size: 35px;
    }

    .features {
        flex-basis: 100%;
    }

    .features-img {
        flex-basis: 50%;
        margin: auto;
    }

    .features-img img {
        width: 100%;
    }
}

/* service */
#service {
    width: 100%;
    padding: 70px 0;
    background: #efefef;

}

.service-box {
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: auto;
}

.single-service {
    flex-basis: 48%;
    text-align: center;
    border-radius: 7px;
    margin-bottom: 20px;
    color: white;
    position: relative;
}

.single-service img {
    width: 100%;
    border-radius: 7px;

}

.overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    border-radius: 7px;
    cursor: pointer;
    background: linear-gradient(rgba(0, 0, 0, 0.5), #f34444);
    opacity: 0;
    transition: 1s;
}

.single-service:hover .overlay {
    opacity: 1;
}

.service-desc {
    width: 80%;
    position: absolute;
    bottom: 0;
    left: 50%;
    opacity: 0;
    transform: translateX(-50%);
    transition: 1s;
}

hr {
    background: white;
    height: 2px;
    border: 0;
    margin-block-end: 15px auto;
    width: 100%;
}

.service-desc p {
    font-size: 14px;
}

.single-service:hover .service-desc {
    bottom: 40%;
    opacity: 1;
}

@media screen and (max-width:77px) {
    .single-service {
        flex-basis: 100%;
        margin-bottom: 30px;
    }

    .service-desc p {
        font-size: 12px;
    }

    hr {
        margin: 5px auto;
    }

    .single-service:hover .service-desc {
        bottom: 25% !important;
        /* opacity:1; */
    }
}

/* Review/userreviews */
#userReviews {
    width: 100%;
    padding: 70px 0;

}

.userReviews-row {
    width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
}

.userReviews-col {
    flex-basis: 28%;
    padding: 10px;
    margin-bottom: 30px;
    border-radius: 5px;
    box-shadow: 0 10px 20px 3px #00968814;
    cursor: pointer;
    transition: transform .5s;
}

.userReviews-col p {
    font-size: 14px;

}

.user {
    display: flex;
    align-items: center;
    margin: 20px 0;
}

.user img {
    width: 40px;
    margin-right: 20px;
    border-radius: 3px;
}

.user-info .fa {
    margin-left: 10px;
    color: #cc4e82;
    font-size: 20px;

}

.user-info small {
    color: #cc4e82;
}

.userReviews-col:hover {
    transform: translateY(17px)
}

@media screen and (max-width:770px) {
    .userReviews-col {
        flex-basis: 100px;
    }
}


/* footer/contact us */
#contactus {
    padding: 100px 0 20px;
    background: #efefef;
}

.contactus-row {
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

}

.contactus-left,
contactus-right {
    flex-basis: 45%;
    padding: 10px;
    margin-bottom: 20px;

}

.contactus-right {
    text-align: right;

}

.contactus-row h1 {
    margin: 10px 0;
}

.contactus-row p {
    line-height: 35px;
}

.contactus-left .fa,
.contactus-right .fa {
    font-size: 20px;

    margin: 10px;
}

#menu{
    color: white;
}